Множественные уязвимости в PHP Blue Dragon CMS

Дата публикации:
25.09.2006
Дата изменения:
25.09.2006
Всего просмотров:
4895
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4960
CVE-2006-4961
CVE-2006-4962
CVE-2007-4312
CVE-2007-4313
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Php Blue Dragon CMS 2.x
Уязвимые версии: Php Blue Dragon CMS 2.8.0 и 2.9.1 (BETA), возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, выполнить произвольные SQL команды в базе данных приложения и просмотреть произвольные файлы на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "m" сценария index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "m" сценария index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "phpExt" в сценарии pbd_engine.php. Удаленный пользователь может просмотреть произвольные файлы на системе. Для успешной эксплуатации уязвимости опция "register_globals" должна быть включена.

Злоумышленник может выполнить произвольный PHP код на целевой системе внедрив его в лог файлы (например, во время регистрации).

URL производителя: blue-dragon.php.pl

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: PhpBlueDragon CMS <= 2.9.1 (XSS/SQL) Code Execution Exploit

или введите имя

CAPTCHA